Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class SaveCalendarRefernce

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.SaveCalendarRefernce

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<SaveCalendarReferenceResult>, net.customware.gwt.dispatch.shared.Action<SaveCalendarReferenceResult>

    public class SaveCalendarRefernce

extends java.lang.Object
implements OSAction<SaveCalendarReferenceResult>

Associates a Calendar with a client component's reference identifier. A reference can refer to only one Calendar, but a Calendar can be referenced by any number of client references. The request must include a version number that will be compared against the value held by the identified Calendar entry. If the values don't match, the request will fail with a "concurrency exception".

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`SaveCalendarRefernce(java.util.ArrayList<java.lang.String> references, java.lang.String name, java.lang.String nameSpace, int version)` Constructor for SaveCalendarRefernce.

Method Summary
`java.lang.String` | `getName()` Gets name.
`java.lang.String` | `getNameSpace()` Gets the value of namespace.
`java.util.ArrayList<java.lang.String>` | `getReferences()` Gets an array of references.
`int` | `getVersion()` Gets the version number.
`void` | `setName(java.lang.String name)` Sets name.
`void` | `setNameSpace(java.lang.String nameSpace)` Sets the namespace.
`void` | `setReference(int index, java.lang.String element)` Gets the value of reference.
`void` | `setReferences(java.util.ArrayList<java.lang.String> references)` Sets an array of references.
`void` | `setVersion(int version)` Sets the version number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveCalendarRefernce

    public SaveCalendarRefernce(java.util.ArrayList<java.lang.String> references,
                                java.lang.String name,
                                java.lang.String nameSpace,
                                int version)

  Constructor for SaveCalendarRefernce.

  Parameters:
    `references` -
    `name` -
    `nameSpace` -
    `version` -

Method Detail

### getReferences

    public java.util.ArrayList<java.lang.String> getReferences()

  Gets an array of references.

  Returns:
    Returns the references.

### setReferences

    public void setReferences(java.util.ArrayList<java.lang.String> references)

  Sets an array of references.

  Parameters:
    `references` - The references to set.

### setReference

    public void setReference(int index,
                             java.lang.String element)

  Gets the value of reference.

  Parameters:
    `index` -
    `element` -

### getName

    public java.lang.String getName()

  Gets name.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Sets name.

  Parameters:
    `name` - The name to set.

### getNameSpace

    public java.lang.String getNameSpace()

  Gets the value of namespace.

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  Sets the namespace.

  Parameters:
    `nameSpace` - The nameSpace to set.

### getVersion

    public int getVersion()

  Gets the version number.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(int version)

  Sets the version number.

  Parameters:
    `version` - The version to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.